commit 2a5cdbc58847fc3939b505d15cc082cc5262794b
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Apr 28 17:28:34 2012 -0700

    configure.ac: Bump to version 1.3.1
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 91be5b9d337799281a3cf461d53da7787a246c9b
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Apr 27 17:03:06 2012 -0700

    Address a possible build failure from ln -s
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 4f5c64fa719453c450ab2e31e20a8593ffc093a8
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Apr 27 00:20:23 2012 -0700

    Add support for linking against libXplugin directly for dock support
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 21f210c923aa5d79400ce46275084f2636c92bd9
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Mar 7 12:04:42 2012 -0800

    dock-support: Update the dock-support API to better match the new API added to libXplugin
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 330b55eaae4ab59c5d8167e08b3aab80ed42ab24
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Apr 27 00:01:46 2012 -0700

    configure.ac: Remove Leopard hack which is no longer necessary
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 901809d6c5ea413296d695331170315ab33659e4
Author: Ken Thomases <ken@codeweavers.com>
Date:   Wed Apr 18 15:19:05 2012 -0500

    Don't decorate windows with an empty shape.
    
    Some clients (e.g. Wine) set windows to have an empty XShape bounding region.
    They may also set those windows to have decorations.  In that situation,
    quartz-wm was producing weird small, black windows for what should be
    invisible windows.
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit fa06b4edc5f0f1dae9c3bfe0d63e9f5f6a85a19e
Author: Ken Thomases <ken@codeweavers.com>
Date:   Thu Apr 12 17:18:51 2012 -0500

    Don't drag/resize a window if we didn't see the mouse click event.
    
    Quartz-wm had been interpreting MotionNotify events that indicated a button
    was down as a drag or resize regardless of whether it had seen the ButtonPress
    event.  However, the internal tracking state, like where the drag started, is
    only initialized during the ButtonPress handler.  So, the window drag/resize
    would be wildly off.
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit fe838145d1866e3e4a2345e076c2a15b8c0b718a
Author: Ken Thomases <ken@codeweavers.com>
Date:   Wed Mar 28 17:14:18 2012 -0500

    Make double-click-title-to-minimize follow system preference.
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 37f7fed97587393b8819fd78a919dbe9311e988a
Author: Ken Thomases <ken@codeweavers.com>
Date:   Wed Mar 28 17:10:06 2012 -0500

    Don't double-click-minimize windows which aren't minimizable.
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 0fbe8c34c3f8ff7b60a169d1c38fc0af4993d505
Author: Ken Thomases <ken@codeweavers.com>
Date:   Wed Mar 28 17:09:04 2012 -0500

    Remove obsolete FIXME comment; double-click-title-to-minimize is implemented.
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 4eb592815d4222c78fab6132ce8f4f9a5e24396b
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Mar 4 17:38:13 2012 -0800

    Fix potential error during make install
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit bd293b181680e19ca0f4d289e9cb67ef5112c7c1
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Feb 19 14:26:04 2012 -0800

    configure.ac: quartz-wm-1.3.0
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 24818cfbc7e345bd357e553a1082fd4530284412
Author: Ken Thomases <ken@codeweavers.com>
Date:   Thu Feb 16 23:07:17 2012 -0800

    Fix "un-zooming" on certain windows which weren't reacting properly
    
    Regression from: 682660f84093f06f32515b1d01b649daa2e58fb1
    
    The prior code sometimes tested for a maximized window by comparing the
    current frame with
    
    	[_screen zoomed_rect:X11RectOrigin(_current_frame)]
    
    but other times compared it with
    
    	[self validate_frame_rect:[_screen zoomed_rect:X11RectOrigin(_current_frame)]]
    
    The latter is more correct and takes WM size hints, like the resize
    increments, into account.  My code standardized on the former, though.  The
    old code was wrong in some cases, mine is wrong in all cases.
    
    The long story:
    
    My understanding is that quartz-wm's behavior is based on Cocoa's.
    NSWindow's -isZoomed method tests if the window's frame equals the zoomed
    frame computed for the window.  So, any change of the window's frame
    potentially changes whether it is considered zoomed or not.  Quartz-wm
    behaves similarly.
    
    There are two aspects of what "is considered zoomed" might mean.  There's the
    method in the above patch, -is_maximized, in the quartz-wm code.  That
    compares the current frame (well, "intended" frame) with a computed zoomed
    frame.  Then, there's the question of whether quartz-wm puts the
    _NET_WM_STATE_MAXIMIZED_{HORZ,VERT} atoms in the window's _NET_WM_STATE
    property.
    
    My changes were intended to get the latter part to match the former.
    
    However, I also inadvertently made the computed zoomed frame not meet the
    is-it-zoomed test for windows with resize increments and, probably, a maximum
    size smaller than the screen.  Quartz-wm would compute one zoomed frame for
    the window, set the frame to that, and then subsequently compare against a
    possibly different frame to determine if the window was zoomed.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 9848c838aecdcdfe118b03c40fe211724449c5a5
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Feb 16 23:16:57 2012 -0800

    Fix possible error during make install
    
    Fix an issue with 'make install' if we are installing over a
    previous install.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit c724411a40635de8b081c620f2cb0414c4234e96
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Feb 16 15:27:24 2012 -0800

    Provide the dock-support API as a dylib
    
    This should allow easier building on and deployment to different
    versions of Mac OS X.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 95188417fd8ad838061af25df63252cc7cc6c7a6
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Feb 11 13:12:55 2012 -0800

    Update dock-support.o to dlsym() some symbols which might not be present at runtime
    
    This should address some runtime issues.  I have not included dispatch* in this
    set, so we still have issues at the Leopard/Snow Leopard boundary, but SL+ should
    be all cooperative now.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit fd02a02dca3e5281632c251a9e5dcd2e4a210bee
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Feb 10 22:42:14 2012 -0800

    .gitignore: Add INSTALL and ChangeLog
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 47aa97c08796903b41fdeee17e96014171b35b47
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Feb 10 15:14:56 2012 -0800

    Miscellaneous bug fixes in dock-support
    
    This should increase portability, but further changes are still coming.
    
    This fixes a possible crash when running on Snow Leopard or Lion:
    http://xquartz.macosforge.org/trac/ticket/538
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit eab793aafaa71a1995ce9e604d129c1c912d5597
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Feb 10 13:46:18 2012 -0800

    Remove DockActivateWindow
    
    It's actually redundant.  The server takes care of this for us.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit f2ba60ba9686decc6b37ee8811b240eaaf5a058c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Jan 27 22:47:05 2012 -0800

    configure.ac: 1.2.99.902
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 0e59d8a425720bb1657b11fe2b80e21b9b8cc914
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Jan 27 22:24:16 2012 -0800

    dock-support: Simplify dock-support API to remove spaces abstraction
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 3354e545b1935f184f45610c7245f3106fc78854
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Jan 16 19:01:13 2012 -0800

    Use -undefined suppress -flat_namespace when building on Leopard
    
    debceb4a7fc39af77a98365a4012e988c3a3aad7 did not properly address
    quartz-wm building and running on Leopard.  These changes should
    now allow quartz-wm to build and run on Leopard.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 57add9b928f23623b7348ce3658f159a3b2864bc
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Jan 16 18:39:15 2012 -0800

    Update dock-support.o to avoid some crashes when running on Leopard
    
    https://github.com/jeremyhu/quartz-wm/issues/1
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 495bf99106bdae31fc9d901f4c1c981bc1f01a46
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Dec 29 21:12:27 2011 -0800

    Include ChangeLog in dist tarball
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 6074a46bb92f0064373825955d64a0269b393949
Author: Ken Thomases <ken@codeweavers.com>
Date:   Thu Dec 29 20:46:11 2011 -0600

    Update _NET_WM_STATE whenever current/pending/queued frame changes.
    
    This is because _NET_WM_STATE_MAXIMIZED_{HORZ,VERT} depend on those frame
    rects.  Without this, the _NET_WM_STATE would still indicate the window was
    maximized after it had been resized by the user or the client.
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 682660f84093f06f32515b1d01b649daa2e58fb1
Author: Ken Thomases <ken@codeweavers.com>
Date:   Thu Dec 29 20:08:42 2011 -0600

    Use "intended" frame rect to determine if window is maximized.
    
    The intended frame is that which is queued, pending, or current, in that
    order.
    
    This fixes a problem where _NET_WM_STATE_MAXIMIZED_{HORZ,VERT} were
    incorrect. Changes to the frame can be delayed.  A sequence like the
    following occurred: initiate frame rect change for zoom or maximize, set
    _NET_WM_STATE based in part on current frame, frame rect change actually
    takes effect.  It leaves _NET_WM_STATE_MAXIMIZED_{HORZ,VERT} in the
    exact opposite state as it should be.  Later, a property notify causes a
    call to -update_frame, which calls -update_net_wm_state_hints, which
    uses the incorrect _NET_WM_STATE to change the window's actual state.
    So, the window might spontaneously maximize when it shouldn't.
    
    Fixes <rdar://problem/10148457>
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ee52b20a149ad20fea30ed74fd4eaffe08f0c05c
Author: Ken Thomases <ken@codeweavers.com>
Date:   Thu Dec 29 14:19:38 2011 -0600

    Fix an incorrect method name in a debug logging statement (copy/paste error).
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 4ae7fbc266ad134815aa728e6822499c2a67e85b
Author: Ken Thomases <ken@codeweavers.com>
Date:   Thu Dec 29 13:50:42 2011 -0600

    Fix some unintended switch case fall-throughs.
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit d03bac215b414d69b639dc564c14bba1f37729a8
Author: Ken Thomases <ken@codeweavers.com>
Date:   Thu Dec 29 14:22:04 2011 -0600

    Tell git's diff engine to recognize Objective-C source files.
    
    The diff engine already has built-in smarts about how to annotate diffs
    of Objective-C source files, but it needs to be told which files to
    apply those smarts to.  (Otherwise, its default is a pattern appropriate
    for C syntax.) For example, it will annotate diff hunks with headers
    showing the signature of the method or the @implementation or @interface
    line preceding the hunk. E.g.:
    
       @@ -1167,17 +1188,39 @@ - (void) someMethodName
    
    See the gitattributes man page for details.
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit debceb4a7fc39af77a98365a4012e988c3a3aad7
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Dec 20 21:26:24 2011 -0800

    Link with -undefined dynamic_lookup
    
    dock-support.o contains some symbols which may not be present at link
    time on older OS versions.  These symbols are annotated with weak_import
    and checked for at runtime, so it was possible to build on Snow Leopard
    and run on Leopard, but it was not possible to build on Leopard since
    these symbols are not available at link time.  This change makes it
    possible to build on Leopard and places the burden of resolving those
    symbols on dyld.
    
    Resolves: https://trac.macports.org/ticket/32609
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ce39109481aa1397496f8add23d2399a900a8d10
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Dec 12 21:49:20 2011 -0800

    Add autogen.sh for jhbuild
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 82eb5f843602cae8bced9569f492607020f137c0
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Dec 12 16:02:22 2011 -0800

    Silence additional compilation warnings
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 5e29b3c44eaf206873f91b127edaeb05201ee7e4
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Dec 12 15:54:34 2011 -0800

    Silence additional shadowed declaration warnings
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 5a4142762e2188789dc5183e30f2c6501414e117
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Dec 12 15:44:59 2011 -0800

    Silence compiler warnings regarding collision with "id"
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 0c06daba16670eb6c5ad7329d9c55aa3bce6f6dc
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Dec 12 13:49:43 2011 -0800

    configure.ac: quartz-wm-1.2.99.901
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit bce16551fec6b5375ab3bcd68c9ef3e2448e064b
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Dec 12 13:48:53 2011 -0800

    Drop support for Tiger
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 6634599a002d2ec06cce458ee9feb2eb5bad7f16
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Nov 9 14:28:50 2011 -0800

    Remove old command line arguments from the man page
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit bf731030f358dd3f8447dcedcb8a9c285d81084c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Aug 8 11:32:10 2011 -0700

    Add support for super old Xplugin.h without versioning
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 19f342494cb9cc20f0d1b8bb3fac64e56e990064
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon May 23 13:08:30 2011 -0700

    Update the screen size when our root window resizes
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 949e5c0f97bf9e7ac53518513fab27912c52ce38
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon May 23 12:53:46 2011 -0700

    Rename pointer to avoid namespace collision
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 8415a948c5d18490b35914ceeba630ae837bfdee
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun May 22 22:34:34 2011 -0700

    Improve message reported by x_error_handler
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit d63b01509d219efd9dabf112a623e1e4e398b163
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon May 23 00:28:43 2011 -0700

    More debug spew
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ca1377c3ba8341f4486ef03ca7b97d02f9a7a06f
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu May 19 14:21:58 2011 -0700

    Don't need a new line in TRACE()
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 6c8072a836cc0e8b55909a0acecbb6620b49e7b4
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun May 15 19:52:45 2011 -0700

    Remove old pasteboard proxy code
    
    This is now handled by a standalone application (xpbproxy) or as
    part of the XQuartz server.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 4c86284ab8b8ea9d422732b5736dbfe22e384506
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun May 15 19:42:14 2011 -0700

    Update dock-support.o to use debug_asl rather than debug_printf
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 7f551ae8ee68f46dfedc320a16ac205296a6eef6
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun May 15 19:33:26 2011 -0700

    LP64: Fix format string errors.  Window is a long.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 4b89c43c2cc1943ca9eaaa51083dcd2e5e9e5534
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun May 15 19:28:44 2011 -0700

    ASL: Use asl keys rather than printing function/file/line in the message
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit eed6ded74d00bd822662e6ebcb2502ce1d7e86e3
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri May 13 00:57:13 2011 -0700

    Send debugging information to asl
    
    This allows us to get debugging out of already-running quartz-wm.
    
    Additionally, this change adds a --with-bundle-id-prefix option
    to configure which can be used to change the default prefix used
    for preferencess and the asl facility.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit f68d2a76a32a3541315f87fc0b617f550fdc3e4f
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri May 13 00:07:54 2011 -0700

    Always build with support for debug logging
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 63b31705a3d999ecfc8f0f068c3190e1cf3117b6
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun May 15 10:36:52 2011 -0700

    Only place the window using XGetWindowAttributes if we didn't maximize/fullscreen it
    
    Don't overwrite the _current_frame set by the maximized and fullscreen hints.
    
    http://xquartz.macosforge.org/trac/ticket/481
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ff4337d961d03f4fc4537f83c4ec3864dbf4119d
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun May 15 10:44:14 2011 -0700

    If the frame isn't mapped, just adjust _current_frame
    
    This should clear up some (safe to ignore) BadWindow errors that
    were getting printed to stderr.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ebc318153e3b6cf13cfd86f12344764bab0e7de2
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed May 11 19:51:39 2011 -0700

    Improve validation of document style placement
    
    We should now correctly resize windows that would be placed partially offscreen.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit a41acccfbea2943f175cb389cafc672b601bab7b
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed May 11 18:40:24 2011 -0700

    DockGetRect() now returns a rect that spans the entire display
    
    This will aid in the validation code.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit f6703f4f94a1322718e43d8fa290a7238cb712ab
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed May 11 18:11:36 2011 -0700

    Add more debugging spew
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 43a7b9e964ff1f0cd9e262ac63edb93aca9b56ad
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri May 6 16:22:23 2011 -0700

    Better respond to minimize/restore errors
    
    Also updates dock-support binaries with some recent changes for Lion.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 32e2394132e88f6d3cbc3c129ed57c4322da9657
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Apr 5 16:21:08 2011 -0700

    configure.ac: Version bump to 1.2.0
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 28e4b4670b9049c4fed53850d0996c3fab4871b8
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Apr 12 09:29:35 2011 -0700

    Do not include a grow box on borderless (motif hint) windows
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 08a82d70e2dfdb3cd640fafc291b99c326a38ebe
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Apr 12 08:46:06 2011 -0700

    Allow _NET_WM_ACTION_MINIMIZE while in fullscreen
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit e869d8ab6fb7756d5a5d312059a44417f55750a2
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Apr 12 08:45:28 2011 -0700

    Simplify setting _unzoomed_frame
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit dbb87c2b977e4321a47698f2af884ca4861aab22
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Apr 12 08:43:05 2011 -0700

    do_fullscreen now sets frame attributes correctly when called
    
    Previously, attributes were only set when do_fullscreen resulted
    in a changed state.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 800ef596c89c98019b7409a55481172e942bc404
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Apr 7 10:34:28 2011 -0700

    x_shutdown is no longer called from the signal_handler
    
    x_shutdown is not reentrant, so we wait to call it from within CFRunLoop.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 93e381ee6dc586501442cc538b796dda18b90dac
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Apr 5 10:35:55 2011 -0700

    Set appropriate flags and hints when we're in fullscreen
    
    When in FS, remove these from _frame_attr:
    XP_FRAME_ATTR_COLLAPSE | XP_FRAME_ATTR_ZOOM | XP_FRAME_ATTR_GROW_BOX
    
    Also set !_movable and !_shadable.
    
    This should result in no growbox being shown and should remove these
    actions:
    
    _NET_WM_ACTION_MAXIMIZE_HORZ
    _NET_WM_ACTION_MAXIMIZE_VERT
    _NET_WM_ACTION_MINIMIZE
    _NET_WM_ACTION_MOVE
    _NET_WM_ACTION_RESIZE
    _NET_WM_ACTION_SHADE
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 3f00e8f7882df41f753d77a28ebefa0b6611f51c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Apr 3 19:05:27 2011 -0700

    Abandon queued changes when reparenting
    
    The queued changes were sent to the server using the old frame_id
    which is being destroyed, so we need to update our state to reflect
    the fact that we have no pending or queued requests.
    
    Also, we need to store the request in update_frame and send it again
    with the new frame_id
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 821385335b08efbeeffc4651e33696f59f75e00f
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Apr 3 19:07:25 2011 -0700

    DEBUG: Add more TRACE()s and new str_for_atom function
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit de3a67fb0dbe061c8cb6e3eef7baecedec380605
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Apr 2 11:32:27 2011 -0700

    Redo parenting when _NATIVE_WINDOW_ID changes
    
    Windows should now properly behave as transient even then the native
    window id changes out from under us.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ce43d95bba17739dcaaeaf8d8c9c5b2dcd4ce91a
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Apr 3 17:45:08 2011 -0700

    Better support changing decoration types
    
    Coming in and out of FS now results in the correct framing, but the
    window does not resize to take up the screen.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 384946c8bf82202fbda4de223bb6b74b1e5c2abf
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Apr 2 02:09:40 2011 +0000

    Always do an update when handling do_net_wm_state_change
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2d4593f76032610a082536b31aed4bb67d862660
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Apr 2 02:05:37 2011 +0000

    Make some window properties private
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 1bd0d5d023ca336ea5e4474ee7b170a8f7c3226e
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Apr 1 22:02:00 2011 +0000

    Cleanup frame look/behavior setting
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit fdfa10c9964f93920e9953e016febe1f6b994ead
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Apr 1 21:55:22 2011 +0000

    Incremental step in getting rid of QWM_WINDOW_CLASS
    
    This breaks toggling fullscreen.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 55915f23c526330cde694f324454c09f18dfdbc4
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Apr 2 15:45:05 2011 -0700

    Whitespace cleanup and copyright updates
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit f92c37d3c65786772c5f80b176bad01b7bc65cdd
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Apr 1 13:19:15 2011 +0000

    Cleanup preference reloading
    
    Make _shadable and _always_click_through based on the window's type
    rather than the current preferences.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit db42cb6e9387a1aa36f025fccdf2e0f14edd13e4
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Apr 1 00:40:30 2011 +0000

    Add more _NET_WM_WINDOW_TYPEs defined in the 1.4 draft revision of WM-Spec
    
    These are in use by many X11 clients already and will be needed to
    differentiate betweek gtk2 tooltips and undecorated document windows.y
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 7b47ba3292b606d307850fa07efb763e3fb6db2c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Apr 1 00:10:53 2011 +0000

    Add support for a desktop frame class
    
    To eventually be used by _NET_WM_WINDOW_TYPE_DESKTOP
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 69b703b179c28a89423267bc68304da245be217c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Mar 31 17:25:08 2011 +0000

    Begin updating quartz-wm for the new Xplugin frame API
    
    The libXplugin API has changed from refering to general window
    types (which are ambiguous and difficult to map from X11) to
    explicit frame sizes and Exposé integration behavior.  Internally,
    Xplugin always only cared about the look.  Different frame classes
    were just mapped to the same look.
    
    This change in libXplugin remains binary compatible with older
    quartz-wm (simply remapping the old flags to the new ones), and
    similarly, this updated quartz-wm will work with older libXplugin
    with the exception of the new behavior flags for Exposé.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 3adf84439d196203ab613b2aefe785ba62dc0308
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Apr 2 15:43:46 2011 -0700

    Remove _exposed
    
    Windows without decoration don't receive XExposeEvent, but we still
    want to draw them.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit b3774d3ad4b1283a1b3f30cdfdda81d39e0c4071
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Apr 1 16:00:01 2011 +0000

    Don't keep a reference to prefs_reload_observer_ref
    
    It lives for the duration of execution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 9bd31d474553f6443d628628a4562d1577cc3a07
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Apr 3 21:15:31 2011 -0700

    Add .gitignore
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2f23242475bcf9d21d8603b6a0dfee8add77f0bf
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Aug 2 21:45:51 2010 +0000

    configure.ac: Version bump to 1.1.2
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit cf437370aa6a41fb1d01e78310b89f4b930d4e7e
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Nov 16 20:20:12 2010 +0000

    Include the dock-support binaries
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit c45fde645fb811d5567b36119e1905d8e7400a14
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Nov 16 20:16:34 2010 +0000

    Adjust naming of dock-support.o support binaries as we only need 2 now
    
    Using runtime checks, we are able to merge the Leopard and SL binaries into one.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit f99f921e0f9d2d2f5aa272c8ce8c14945ca05753
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Aug 2 21:44:56 2010 +0000

    Fix another input lockup resulting from removing meta from keymap
    
    Previously, removing Meta_[LR] from xmodmap could cause tilde to break
    
    http://xquartz.macosforge.org/trac/ticket/427
    <rdar://problem/8258766>
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 79c727cb1acb1215a1d1100728d57d5f50abc935
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Apr 6 21:49:47 2010 +0000

    configure.ac: Bump version to 1.1.1
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 8012debd5ddd5fd0062d906393e0fd54d71ad34c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Apr 2 02:28:33 2010 +0000

    Fix cmd-` deadlock regression
    
    http://xquartz.macosforge.org/trac/ticket/370
    <rdar://problem/7814323>
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2a1fac822e158e83e8081350eb6120a867a272c2
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Apr 1 22:15:37 2011 -0700

    Initial commit of OSS bits from quartz-wm-1.1.0
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
